#include "Contact.class.hpp"

Contact::Contact( void ) {
	this->add_first("");
	this->add_last("");
	this->add_nick("");
	this->add_num("");
	this->add_secret("");
	return;
}

Contact::~Contact( void ) {
	return;
}

// ADD
void Contact::add_first( std::string str ) {this->first.assign(str);}
void Contact::add_last( std::string str ) {this->last.assign(str);}
void Contact::add_nick( std::string str ) {this->nick.assign(str);}
void Contact::add_num( std::string str ) {this->num.assign(str);}
void Contact::add_secret( std::string str ) {this->secret.assign(str);}

// GET
std::string Contact::get_first( void ) {return first;}
std::string Contact::get_last( void ) {return last;}
std::string Contact::get_nick( void ) {return nick;}
std::string Contact::get_num( void ) {return num;}
std::string Contact::get_secret( void ) {return secret;}

